For the complete documentation index, see llms.txt. This page is also available as Markdown.

Ensure Pipeline

Ensures that the Pipeline with the provided ID is created or modified. The full Pipeline needs to be provided to ensure (either update or create) the Pipeline. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

put
/pipelines/{pipelineId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
pipelineIdstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
Body
idstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
metadataanyOptional

Metadata

Responses
200

Pipeline successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Pipeline.

Example: /pipelines/f72521ba-1590-5998-bf96-6eb997a5887d
put/pipelines/{pipelineId}
PUT /pipelines/{pipelineId} HTTP/1.1
Host: monitoring.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 93

{
  "id": "f72521ba-1590-5998-bf96-6eb997a5887d",
  "metadata": {},
  "properties": {
    "name": "Pipeline1"
  }
}
{
  "id": "f72521ba-1590-5998-bf96-6eb997a5887d",
  "type": "pipeline",
  "href": "/pipelines/f72521ba-1590-5998-bf96-6eb997a5887d",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "statusMessage": null,
    "grafanaEndpoint": "https://grafana.logging.de-txl.ionos.com",
    "httpEndpoint": "https://f8ss7fgr7s-metrics.jf9ejf8t6hrt.monitoring.de-txl.ionos.com",
    "key": "momSrlgAAEmaYEvBsMr^HsYn"
  },
  "properties": {
    "name": "Pipeline1"
  }
}

Last updated

Was this helpful?